__author__ = 'dev'
import urwid

FOCUS_MAP_REVERSED = "reversed"

class ConsoleMenu():

    def __init__(self):
        self.__widget = self._create_widget()

    def _create_widget(self):
        pass

    def _clean_menu(self):
        pass

    def show(self, **kwargs):
        main_loop = urwid.MainLoop(self.__widget, **kwargs)
        try:
            main_loop.run()
        finally:
            self._clean_menu()